Get more from your Mavic
The largest Mavic community in the world
Join Us Now

DJI Racing Goggles not updating to V01.00.0700

Baba

Active Member
Joined
Oct 26, 2018
Messages
25
Reactions
7
Age
77
Visit site
Using DJI Assistant 2, I am unable to update firmware to V01.0700 on racing Goggles. It goes through the download, transmission, installation and it it says that it was successful. However, when you recheck DJI Assistant 2 it claims it needs to be updated to V01.00.0700. Attempted several times with the same result even through I did complete shutdowns between attempts. Any suggestions?
 

jzilla80

Well-Known Member
Joined
Sep 21, 2018
Messages
203
Reactions
114
Age
40
Visit site
Did you download the most recent version of DJI Assistant 2 from DJI first?

Or did you use the already installed version of DJI Assistant, that you used to upgrade to .0600 or whichever previous fw for Goggles RE.

This messed me up so thought Id toss it out there.

Good luck
 

Baba

Active Member
Joined
Oct 26, 2018
Messages
25
Reactions
7
Age
77
Visit site
Down loaded the latest version of DJI Assistant 2 for Mavic and attepted the down load again for the goggles. Did not work!. Still says that the update was successful and yet after rebooting the goggles and reconnecting to DJI Assistant 2, it still shows that V01.00.0700 needs to be uploaded. Cannot figure out what is going on!!!!
 
  • Like
Reactions: Wolfgang WAB

Wolfgang WAB

Member
Joined
Feb 16, 2019
Messages
8
Reactions
2
Visit site
Down loaded the latest version of DJI Assistant 2 for Mavic and attepted the down load again for the goggles. Did not work!. Still says that the update was successful and yet after rebooting the goggles and reconnecting to DJI Assistant 2, it still shows that V01.00.0700 needs to be uploaded. Cannot figure out what is going on!!!!
same here, tried it todays several times and always said: SUCCESSFULLY

until you went back and DJI checks it again in the overview of available firmwares and tells you if you wanna upgrade again ...

It is reproduceable and still after 15 months not fixed cause my last update session was in April 2019 ...

Disappointing, again ...